// IWYU pragma: private, include "nvim/eval/list.h"
#define DEFINE_FUNC_ATTRIBUTES
#include "nvim/func_attr.h"
#undef DEFINE_FUNC_ATTRIBUTES
#ifndef DLLEXPORT
#  ifdef MSWIN
#    define DLLEXPORT __declspec(dllexport)
#  else
#    define DLLEXPORT
#  endif
#endif
DLLEXPORT void f_filter(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_map(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_mapnew(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_foreach(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_add(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_count(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_extend(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_extendnew(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_insert(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_remove(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
DLLEXPORT void f_reverse(typval_T *argvars, typval_T *rettv, EvalFuncData fptr);
#include "nvim/func_attr.h"
